Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Shared_Object Class Reference

Provide the abstract base class used to access dynamic linking facilities. More...

`#include <Shared_Object.h>`

Inheritance diagram for ACE_Shared_Object

[legend]
List of all members.

## Public Methods
| ACE_Shared_Object (void)
virtual int | init (int argc, ACE_TCHAR *argv[])
| Initializes object when dynamic linking occurs.
virtual int | fini (void)
| Terminates object when dynamic unlinking occurs.
virtual int | info (ACE_TCHAR **info_string, size_t length = 0) const
| Returns information on a service object.
virtual | ~ACE_Shared_Object (void)

## Detailed Description

Provide the abstract base class used to access dynamic linking facilities.

## Constructor & Destructor Documentation

ACE_INLINE ACE_Shared_Object::ACE_Shared_Object ( | void )

ACE_Shared_Object::~ACE_Shared_Object ( | void )`[virtual]`

## Member Function Documentation

int ACE_Shared_Object::fini ( | void )`[virtual]`

| Terminates object when dynamic unlinking occurs. Reimplemented in ACE_Acceptor, ACE_Strategy_Acceptor, ACE_Oneshot_Acceptor, ACE_Connector, ACE_Logging_Strategy, ACE_Naming_Context, ACE_Service_Manager, ACE_Stream_Head, ACE_Stream_Tail, ACE_Thru_Task, and ACE_Svc_Handler.

int ACE_Shared_Object::info ( | ACE_TCHAR ** strp,
| size_t length = 0 ) const`[virtual]`

| Returns information on a service object. Reimplemented in ACE_Acceptor, ACE_Strategy_Acceptor, ACE_Oneshot_Acceptor, ACE_Connector, ACE_Naming_Context, ACE_Service_Manager, ACE_Stream_Head, ACE_Stream_Tail, ACE_Thru_Task, and ACE_Svc_Handler.

int ACE_Shared_Object::init ( | int argc,
| ACE_TCHAR * argv[] )`[inline, virtual]`

| Initializes object when dynamic linking occurs. Reimplemented in ACE_Acceptor, ACE_Oneshot_Acceptor, ACE_Connector, ACE_Logging_Strategy, ACE_Naming_Context, ACE_Service_Manager, ACE_Stream_Head, ACE_Stream_Tail, ACE_Thru_Task, and ACE_Svc_Handler.

The documentation for this class was generated from the following files:

- Shared_Object.h
- Shared_Object.cpp
- Shared_Object.i